## com.google.appengine.api.datastore
Class Category

    java.lang.Object
      com.google.appengine.api.datastore.Category

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Category>

    public final class Category

extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable<Category>

A tag, ie a descriptive word or phrase. Entities may be tagged by users, and later returned by a queries for that tag. Tags can also be used for ranking results (frequency), photo captions, clustering, activity, etc.

See Also:
  Jeffrey Zeldman's blog post on tag clouds for a more in-depth description., Serialized Form

Field Summary
`static long` `serialVersionUID`

Constructor Summary
`Category(java.lang.String category)`

Method Summary
`int` `compareTo(Category o)`
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getCategory()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### Category

    public Category(java.lang.String category)

Method Detail

### getCategory

    public java.lang.String getCategory()

### compareTo

    public int compareTo(Category o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Category>`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`